Bug 81003 - [Update port] sysutils/dar: include gettext-header if compiled with gettext (needed for kdar)
Summary: [Update port] sysutils/dar: include gettext-header if compiled with gettext (...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-14 07:50 UTC by Kay Lehmann
Modified: 2005-05-18 08:54 UTC (History)
1 user (show)

See Also:


Attachments
dar.patch (913 bytes, patch)
2005-05-14 07:50 UTC, Kay Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kay Lehmann 2005-05-14 07:50:01 UTC

Headers of dar use some functions of gettext without including the necessary header libintl.h. 
This prevents kdar from getting compiled.
Comment 1 Pav Lucistnik freebsd_committer 2005-05-17 10:03:13 UTC
Dear maintainer of FreeBSD port sysutils/dar, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=81003

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Nazgul have poisoned your lembas.
Comment 2 Pav Lucistnik freebsd_committer 2005-05-17 10:03:16 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 Pav Lucistnik freebsd_committer 2005-05-17 10:03:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Edson Brandi 2005-05-18 02:37:16 UTC
yqYes Pav, he talked with me before send patch.
I`m working a lot in last months and cant make this changes to correct 
kdar build.

Edson

On Tue, 17 May 2005, Pav Lucistnik wrote:

> Dear maintainer of FreeBSD port sysutils/dar, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?q=81003
>
> Do you approve this patch?
>
> -- 
> Pav Lucistnik <pav@oook.cz>
>              <pav@FreeBSD.org>
>
> Nazgul have poisoned your lembas.
>
>
Comment 5 Pav Lucistnik freebsd_committer 2005-05-18 08:54:48 UTC
State Changed
From-To: feedback->closed

Committed, thanks!